Package com.explodingpixels.widgets.plaf

## Class EPComboPopup

- java.lang.Object
- - com.explodingpixels.widgets.plaf.EPComboPopup

All Implemented Interfaces:
  `javax.swing.plaf.basic.ComboPopup`

    public class EPComboPopup
    extends java.lang.Object
    implements javax.swing.plaf.basic.ComboPopup

An implementation of `ComboPopup` that uses actual `JMenuItem`s rather than a `JList` to display it's contents.

### Nested Class Summary

Nested Classes
`static interface` `EPComboPopup.ComboBoxVerticalCenterProvider`

### Constructor Summary

Constructors
`EPComboPopup​(javax.swing.JComboBox comboBox)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.awt.event.KeyListener` `getKeyListener()`
`javax.swing.JList` `getList()` This method is not implemented and would throw an `UnsupportedOperationException` if `BasicComboBoxUI` didn't call it.
`java.awt.event.MouseListener` `getMouseListener()`
`java.awt.event.MouseMotionListener` `getMouseMotionListener()`
`void` `hide()`
`boolean` `isVisible()`
`void` `setFont​(java.awt.Font font)`
`void` `setVerticalComponentCenterProvider​(EPComboPopup.ComboBoxVerticalCenterProvider comboBoxVerticalCenterProvider)`
`void` `show()`
`void` `uninstallingUI()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EPComboPopup

    public EPComboPopup​(javax.swing.JComboBox comboBox)

### Method Detail

#### setFont

    public void setFont​(java.awt.Font font)

#### setVerticalComponentCenterProvider

    public void setVerticalComponentCenterProvider​(EPComboPopup.ComboBoxVerticalCenterProvider comboBoxVerticalCenterProvider)

#### show

    public void show()

Specified by:
  `show` in interface `javax.swing.plaf.basic.ComboPopup`

#### hide

    public void hide()

Specified by:
  `hide` in interface `javax.swing.plaf.basic.ComboPopup`

#### isVisible

    public boolean isVisible()

Specified by:
  `isVisible` in interface `javax.swing.plaf.basic.ComboPopup`

#### getList

    public javax.swing.JList getList()

This method is not implemented and would throw an `UnsupportedOperationException` if `BasicComboBoxUI` didn't call it. Thus, this method should not be used, as it always returns null.

Specified by:
  `getList` in interface `javax.swing.plaf.basic.ComboPopup`
Returns:
  null.

#### getMouseListener

    public java.awt.event.MouseListener getMouseListener()

Specified by:
  `getMouseListener` in interface `javax.swing.plaf.basic.ComboPopup`

#### getMouseMotionListener

    public java.awt.event.MouseMotionListener getMouseMotionListener()

Specified by:
  `getMouseMotionListener` in interface `javax.swing.plaf.basic.ComboPopup`

#### getKeyListener

    public java.awt.event.KeyListener getKeyListener()

Specified by:
  `getKeyListener` in interface `javax.swing.plaf.basic.ComboPopup`

#### uninstallingUI

    public void uninstallingUI()

Specified by:
  `uninstallingUI` in interface `javax.swing.plaf.basic.ComboPopup`